Issue 10681 - Build of stlport fails.
Build of stlport fails.
Status: CLOSED FIXED
Product: Build Tools
Classification: Code
Component: code
644
PC Windows 2000
: P1 trivial (vote)
: OOo 1.1 Beta
Assigned To: hjs
issues@tools
:
Depends on:
Blocks: 11093
  Show dependency treegraph
 
Reported: 2003-01-15 08:32 UTC by quetschke
Modified: 2003-11-23 11:35 UTC (History)
3 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Patch for set_soenv.in (2.25 KB, patch)
2003-01-15 08:34 UTC, quetschke
no flags Details | Diff
Patch for stlport/makefile.mk (619 bytes, patch)
2003-01-15 08:35 UTC, quetschke
no flags Details | Diff
Patch for set_soenv.in (3.51 KB, patch)
2003-01-15 11:22 UTC, quetschke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description quetschke 2003-01-15 08:32:47 UTC
This issue is for cws_ooo_...

The first of the following to patches corrects a build problem for dtrans.

dtrans needs header files from the MS Platform SDK, but the MSVC includes
are found first. This is wrong, the PSDK has to be found first, because
it's an enhancement of MSVC. This fixes dtrans, but breaks stlport :-(

The second patch enables the existing fix to be used.
Hamburg uses a variable named USE_NEW_SDK to activate this patch, but as
the MS Platform SDK is a requirement for the 643 and up builds I would
like to change the test in stlport/makefile.mk from USE_NEW_SDK
to $COM="MSC".

I did a grep on the sources, USE_NEW_SDK is used only in this single
makefile.

This cures stlport.
Comment 1 quetschke 2003-01-15 08:34:40 UTC
Created attachment 4304 [details]
Patch for set_soenv.in
Comment 2 quetschke 2003-01-15 08:35:23 UTC
Created attachment 4305 [details]
Patch for stlport/makefile.mk
Comment 3 quetschke 2003-01-15 08:36:24 UTC
Approval pending added.
Comment 4 hjs 2003-01-15 10:59:03 UTC
as this SDK stuff is rather related to the GUI than to a special
compiler i would like to stay with a seperate variable/switch.
Comment 5 quetschke 2003-01-15 11:20:55 UTC
Ok, the following patch replaces the old ones.

Introduced the USE_NEW_SDK variable to configure -> winenv.bat

Added Ken to the cc's.

(Patch should works also for OO643C) (untested yet)
Comment 6 quetschke 2003-01-15 11:22:27 UTC
Created attachment 4306 [details]
Patch for set_soenv.in
Comment 7 quetschke 2003-01-22 10:12:30 UTC
Patch works for OO643C and cws_ooo* for w32/4nt builds.
Comment 8 stx123 2003-01-23 14:00:44 UTC
set target milestone...
Comment 9 foskey 2003-01-31 13:20:50 UTC
Applied set_soenv.in patch to OO643C.

Patch is OK for OOO_STABLE_1 if you want to apply there.

Just as a comment I want to remove set_soenv.in in the longer term, 
if values can be derived directly from configure.in please use that.
Comment 10 quetschke 2003-01-31 15:03:18 UTC
No, don't apply this to OOO_STABLE_1. The problems only have to be
fixed, when PSDK is used. OOO_STABLE_1 already removed all include and
library paths to the PSDK.

I will close this issue when I see the patch in the next 644.
Comment 11 quetschke 2003-02-07 18:08:10 UTC
Patch reached cws_srx644_ooo20030223.

Done!
Comment 12 foskey 2003-03-18 04:02:19 UTC
Volker please close issue.
Comment 13 quetschke 2003-03-18 07:54:08 UTC
Close issue ..